/ comp / gb.opengl / gl / finish
Gl.Finish (gb.opengl)
Syntax

    STATIC SUB Finish ( )

### Block until all GL execution is complete

#### Description

Gl.Finish does not return until the effects of all previously called GL commands are complete. Such effects include all changes to GL state, all changes to connection state, and all changes to the frame buffer contents.

| Gl.Finish requires a round trip to the server.

#### Errors

Gl.GL_INVALID_OPERATION is generated if Gl.Finish is called between a call to Gl.Begin and the corresponding call to Gl.End.

### See also

Gl.Flush